class FeedbackChat {
  String from;
  String content;
  List<String> images;
  String createdAt;
  int createTime;

  FeedbackChat(
      {this.from, this.content, this.images, this.createdAt, this.createTime});

  FeedbackChat.fromJson(Map<String, dynamic> json) {
    from = json['from'];
    content = json['content'];
    images = json['images'].cast<String>();
    createdAt = json['createdAt'];
    createTime = json['createTime'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['from'] = this.from;
    data['content'] = this.content;
    data['images'] = this.images;
    data['createdAt'] = this.createdAt;
    data['createTime'] = this.createTime;
    return data;
  }
}