import 'dart:io';

import 'package:flutter/material.dart';
import 'package:sport/widgets/appbar.dart';

class SportLicensePage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return _LicensePageState();
  }
}

class _LicensePageState extends State<SportLicensePage> {
  bool _isShowPopup;
  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    _isShowPopup = false;
  }

  @override
  Widget build(BuildContext context) {
    // TODO: implement build

    return new Material(
      type: MaterialType.transparency,
      child: Center(
        child: Stack(
          alignment: Alignment.center,
          children: <Widget>[
            Container(
              width: 300.0,
              height: 386.0,
              decoration: BoxDecoration(
                borderRadius: BorderRadius.all(Radius.circular(10.0)),
                color: Colors.white,
              ),
              child: Column(
                children: <Widget>[
                  // Header
                  Padding(
                    padding: EdgeInsets.only(top: 20.0, bottom: 12.0),
                    child: Text(
                      "用户协议及隐私政策",
                      style: titleStyle,
                    ),
                  ),
                  Container(
                    height: 200.0,
                    padding: EdgeInsets.symmetric(horizontal: 19.0),
                    child: SingleChildScrollView(
                      child: Text(
                          "  本协议为您与本APP管理者之间所订立的契约，具有合同的法律效力，请您仔细阅读。一、本协议内容、生效、变更;本协议内容包括协议正文及所有本APP已经发布的或将来可能发布的各类规则。所有规则为本协议不可分割的组成部分，与协议正文具有同等法律效力。如您对协议有任何疑问，应向本APP咨询。您在同意所有协议条款并完成注册程序，才能成为本站的正式用户，您点击“我以阅读并同意本APP用户协议和法律协议”按钮后，本协议即生效，对双方,本协议为您与本APP管理者之间所订立的契约，具有合同的法律效力，请您仔细阅读。一、本协议内容、生效、变更;本协议内容包括协议正文及所有本APP已经发布的或将来可能发布的各类规则。所有规则为本协议不可分割的组成部分，与协议正文具有同等法律效力。如您对协议有任何疑问，应向本APP咨询。您在同意所有协议条款并完成注册程序，才能成为本站的正式用户，您点击“我以阅读并同意本APP用户协议和法律协议”按钮后，本协议即生效，对双方",
                          style: TextStyle(
                              color: Color.fromRGBO(153, 153, 153, 1))),
                    ),
                  ),
                  Container(
                    width: 260.0,
                    padding: EdgeInsets.symmetric(vertical: 12.0),
                    child: Divider(),
                    alignment: Alignment.center,
                  ),
                  InkWell(
                    child: Container(
                      width: 152.0,
                      height: 35.0,
                      margin: EdgeInsets.only(bottom: 12.0),
                      alignment: Alignment.center,
                      decoration: BoxDecoration(
                        borderRadius: BorderRadius.all(Radius.circular(40.0)),
                        gradient: LinearGradient(
                          colors: [
                            Color.fromRGBO(255, 196, 0, 1),
                            Color.fromRGBO(255, 170, 0, 1),
                          ],
                          begin: Alignment.topCenter,
                          end: Alignment.bottomCenter,
                        ),
                      ),
                      child: Text(
                        "同意并继续",
                        style: TextStyle(color: Colors.white, fontSize: 14.0),
                      ),
                    ),
                    onTap: () {
//                        _isShowPopup = ;
                      Navigator.pop(context);
                    },
                  ),
                  InkWell(
                    child: Text(
                      "不同意",
                      style: TextStyle(
                          color: Color.fromRGBO(153, 153, 153, 1),
                          fontSize: 14.0),
                    ),
                    onTap: () {
//                      setState(() {
//                        _isShowPopup = true;
//                      });
                    exit(0);
                    },
                  )
                ],
              ),
            ),
            _isShowPopup == true
                ? InkWell(
                    child: Container(
                        color: Color.fromRGBO(51, 51, 51, 0.5),
                        width: double.infinity,
                        height: double.infinity,
                        alignment: Alignment.center,
                        child: GestureDetector(
                          onTap: () {},
                          child: Container(
                            width: 300.0,
                            height: 175.0,
                            decoration: BoxDecoration(
                              borderRadius:
                                  BorderRadius.all(Radius.circular(10.0)),
                              color: Colors.white,
                            ),
                          ),
                        )),
                    onTap: () {
                      setState(() {
                        _isShowPopup = false;
                      });
                    },
                  )
                : Container()
          ],
        ),
      ),
    );
  }
}
